Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 713960 - sys-fs/bees-0.6.1-r2 : task.cc: error: pthread_getname_np was not declared in this scope
Summary: sys-fs/bees-0.6.1-r2 : task.cc: error: pthread_getname_np was not declared in...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo musl team
URL:
Whiteboard:
Keywords: PATCH, PullRequest
Depends on:
Blocks: missing-musl-includes
  Show dependency tree
 
Reported: 2020-03-22 12:41 UTC by Toralf Förster
Modified: 2020-04-17 15:10 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.13 KB, text/plain)
2020-03-22 12:41 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,256.22 KB, text/plain)
2020-03-22 12:41 UTC, Toralf Förster
Details
environment (environment,81.75 KB, text/plain)
2020-03-22 12:41 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,19.77 KB, application/x-bzip)
2020-03-22 12:41 UTC, Toralf Förster
Details
sys-fs:bees-0.6.1-r2:20200322-050938.log (sys-fs:bees-0.6.1-r2:20200322-050938.log,8.78 KB, text/plain)
2020-03-22 12:41 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,21.22 KB, application/x-bzip)
2020-03-22 12:41 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-03-22 12:41:18 UTC
In file included from task.cc:4:
task.cc: In member function void crucible::TaskState::exec():
task.cc:107:22: error: pthread_getname_np was not declared in this scope; did you mean pthread_setname_np?
  107 |   DIE_IF_MINUS_ERRNO(pthread_getname_np(pthread_self(), buf, sizeof(buf)));
      |                      ^~~~~~~~~~~~~~~~~~
../include/crucible/error.h:70:70: note: in definition of macro DIE_IF_MINUS_ERRNO

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0_musl-20200316-165821

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-gentoo-linux-musl-9.3.0 *
clang version 10.0.0 
Target: x86_64-gentoo-linux-musl
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.1 *

timestamp of HEAD at this tinderbox image:
/var/db/repos/gentoo	Sun Mar 22 04:39:13 UTC 2020
/var/db/repos/musl	Sun Mar 22 03:12:57 UTC 2020

emerge -qpvO sys-fs/bees
[ebuild  N    ] sys-fs/bees-0.6.1-r2  USE="-tools"
Comment 1 Toralf Förster gentoo-dev 2020-03-22 12:41:21 UTC
Created attachment 624300 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-22 12:41:24 UTC
Created attachment 624302 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-03-22 12:41:27 UTC
Created attachment 624304 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-03-22 12:41:30 UTC
Created attachment 624306 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-03-22 12:41:33 UTC
Created attachment 624308 [details]
sys-fs:bees-0.6.1-r2:20200322-050938.log
Comment 6 Toralf Förster gentoo-dev 2020-03-22 12:41:36 UTC
Created attachment 624310 [details]
temp.tbz2
Comment 7 Sam James archtester gentoo-dev Security 2020-03-31 19:34:54 UTC
https://git.alpinelinux.org/aports/tree/testing/bees/10-pthread_getname1.patch

another ppc patch in there too
Comment 8 Kai Krakow 2020-04-16 19:54:46 UTC
I couldn't actually test my PR with musl because I don't have a musl installation. Could someone please test the PR and comment?
Comment 9 Larry the Git Cow gentoo-dev 2020-04-17 15:10:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca424c044ad8c11f2b0838508e1fa1d3276fdb72

commit ca424c044ad8c11f2b0838508e1fa1d3276fdb72
Author:     Kai Krakow <kai@kaishome.de>
AuthorDate: 2020-04-16 19:34:11 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-04-17 15:10:32 +0000

    sys-fs/bees: Add musl hack to 0.6.1-r2
    
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    See-also: https://github.com/Zygo/bees/pull/143
    Closes: https://bugs.gentoo.org/713960
    Signed-off-by: Kai Krakow <kai@kaishome.de>
    Closes: https://github.com/gentoo/gentoo/pull/15374
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 sys-fs/bees/bees-0.6.1-r2.ebuild                   |  3 +-
 ...K-musl-does-not-define-pthread_getname_np.patch | 49 ++++++++++++++++++++++
 2 files changed, 51 insertions(+), 1 deletion(-)